Create a manufacturing order operation rowAsk AIpost https://api.katanamrp.com/v1/manufacturing_order_operation_rowsAdd an operation row to an existing manufacturing order. Operation rows cannot be added when the manufacturing order status is DONE.Body Paramsnew manufacturing order detailsmanufacturing_order_idnumberrequiredoperation_idnumberIf operation ID is used to map the operation, then operation_name is ignored.typestringenumDifferent operation types allows you to use different cost calculations depending on the type of product operation Process: The process operation type is best for when products are individually built and time is the main driver of cost. Setup: The setup operation type is best for setting up a machine for production where the production quantity doesn't affect cost. Per unit: The per unit operation type is best when cost of time isn't a factor, but only the quantity of product made. Fixed cost: The fixed cost operation type is useful for adding the expected extra costs that go into producing a product.processsetupperUnitfixedAllowed:processsetupperUnitfixedoperation_namestringIf operation name is used to map the operation then we match to the existing operations by name. If a match is not found, a new one is created.resource_idnumberIf resource ID is used to map the resource, then resource_name is ignored.resource_namestringIf resource name is used to map the resource then we match to the existing resources by name. If a match is not found, a new one is created.planned_time_parameternumber≤ 10000000000000000The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type).planned_time_per_unitnumber≤ 10000000000000000deprecated(This field is deprecated in favor of planned_time_parameter) The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type)cost_parameternumberThe expected cost of an operation, either total or per hour/unit of product (based on type). Total cost of the operation on a manufacturing order is calculated as follows: process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity setup: cost = cost_parameter x planned_time_parameter (in hours) perUnit: cost = cost_parameter x product quantity fixed: cost = cost_parametercost_per_hournumberdeprecated(This field is deprecated in favor of cost_parameter) The expected cost of an operation, either total or per hour/unit of product (based on type). Total cost of the operation on a manufacturing order is calculated as follows: process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity setup: cost = cost_parameter x planned_time_parameter (in hours) perUnit: cost = cost_parameter x product quantity fixed: cost = cost_parameterstatusstringenumrequiredNOT_STARTEDAllowed:NOT_STARTEDassigned_operatorsarray of objectsassigned_operatorsADD objectResponses 200New manufacturing order operation row 401Make sure you've entered your API token correctly. 429The rate limit has been reached. Please try again later. 500The server encountered an error. If this persists, please contact supportUpdated 7 months ago